.footer{width: 100%;background: #f8f8f8;align-items: center;}
.info-section{width: 80%;margin: 0 auto;padding: 4% 0 4% 0;}
.on-width{width: 25%;position: relative;}
.about-icon ,.copyright-icon ,.contact-icon ,.qr-code-icon{align-items: center; color:#a8a6a5;font-size: 24px;}
.description{width: 88%;font-size: 14px;color: #666;margin-top: 5%;}
.qr-images{margin-top: 5%;justify-content: space-between;}
.contact-info p:nth-child(n+2):nth-child(-n+5){margin-top: 8px;}
.record{width: 80%;font-size: 14px;margin: 0 auto;color: #8e8e8e;padding-bottom: 1%;text-align: center;}
.record span:nth-child(n+2){margin-left: 1%;}
.title{margin-left: 5%;}

.on-width::after {
    content: '';
    position: absolute;
    right: 15px;
    bottom: 50%;
    transform: translateY(50%);
    width: 1px;
    height: 80%;
    background: #e5e5e5;
}

/* 最后一个元素不需要显示分隔线 */
.on-width:last-child::after {
    display: none;
}

/* 移动端导航样式 */
@media screen and (max-width: 768px) {
    /* .on-width::after {
        display: none;
    } */
    .on-width::after {
        content: '';
        position: absolute;
        right: 0;
        bottom: -9px;
        transform: translateY(0);
        width: 100%;
        height: 1px;
        background: #e5e5e5;
    }
    
    /* 最后一个元素不需要显示分隔线 */
    .on-width:last-child::after {
        display: none;
    }
    .record span {
        font-size: 12px;
    }
    .footer .on-width .title {
        margin-left: 10px;
        font-size: 16px;
    }
    .footer .on-width .about-icon img,
    .footer .on-width .copyright-icon img,
    .footer .on-width .contact-icon img,
    .footer .on-width .qr-code-icon img
    {
        width: 30px;
    }
}